Simulate wallet webhook
Simulates and tests a webhook so you can view its response. A
transferId, pendingApprovalId or txRequestId is required.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
walletIdstring requiredThe wallet ID. -
webhookIdstring required
Body Params
ONE OF
-
transferIdstring requiredThe ID of a transfer on the specified wallet. This must be provided if the webhook is of typetransfer.
-
pendingApprovalIdstring requiredThe ID of a pending approval on the specified wallet. This must be provided if the webhook is of typependingApproval.
-
txRequestIdstring requiredThe txRequestId of a transaction request on the specified wallet. This must be provided if the webhook is of typetxRequestortxRequestTransaction.
-
txHashstring requiredThe txHash of a specific transaction for the specified coin. This must be provided if the webhook is of typetransactionortransaction_finality_on_l1.
-
usePlaceholderDataboolean requiredBoolean to indicate that the simulated webhook should use generated placeholder data.
Responses
200
OK
Response Body
object
-
webhookNotificationsarray of objectswebhookNotifications object
-
walletstring -
transferstring -
hashstringThe on-chain transaction id.
Go Account / OFC wallets: For
ofc_withdrawaltransfers the top-leveltxid(andnormalizedTxHash) is the internal front-transfer hash, not the on-chain transaction hash. The on-chain hash is available inmetadata[].onChainTxIdonce the transfer reaches stateconfirmed. For standardofc_deposittransfers (non-lightning) all three values are identical. For OFC lightning deposits the payment hash is inmetadata[].lightningPaymentHash;onChainTxIdis absent. -
idstring -
typestring enumEvent type to listen to.txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpireunspentExpirypendingapprovaladdress_confirmationlowFeeblockadmincircuitBreakertransaction_finality_on_l1lowFeeAddressBalancestuckTx -
walletstring -
enterprisestring -
organizationstring -
bankAccountstring -
urlstring uri -
hashstringA transaction hash for transactions, or a block hash for block notifications. -
coinstringA cryptocurrency or token ticker symbol. -
transferstring -
statestring enumIffailed, webhook notification failed to connect with the target URL. Ifnew, webhook notification was newly generated, in response to an event. Ifpending, webhook notification is awaiting processing by the webhook worker. Ifprocessed, webhook notification successfully sent to target URL. Ifunconfirmed, webhook notification is awaiting confirmation on the blockchain.failednewpendingprocessedunconfirmed -
simulationboolean -
retriesintegerThe number of retries that have been attempted for this webhook notification. -
webhookstring -
updateAtstring date-time -
nextAttemptstring date-time -
versioninteger -
idempotencyKeystringA unique id that can be used to de-duplicate notifications.
-
400
Bad Request
Response Body
ONE OF
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobject requiredcontext object
-
idstring
-
-
namestring enum requiredError codeInvalidWalletId